#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1415\r"; sleep 2;
echo -e "write (0,1) -1584\r"; sleep 2;
echo -e "write (0,2) -1378\r"; sleep 2;
echo -e "write (0,3) -1360\r"; sleep 2;
echo -e "write (0,4) -1589\r"; sleep 2;
echo -e "write (0,5) -1515\r"; sleep 2;
echo -e "write (0,6) -1270\r"; sleep 2;
echo -e "write (0,9) -1368\r"; sleep 2;
echo -e "write (0,10) -1245\r"; sleep 2;
echo -e "write (0,11) -1367\r"; sleep 2;
echo -e "write (0,12) -1245\r"; sleep 2;
echo -e "write (0,13) -1600\r"; sleep 2;
echo -e "write (0,14) -1407\r"; sleep 2;
echo -e "write (1,0) -1421\r"; sleep 2;
echo -e "write (1,1) -1233\r"; sleep 2;
echo -e "write (1,2) -1322\r"; sleep 2;
echo -e "write (1,3) -1416\r"; sleep 2;
echo -e "write (1,4) -1264\r"; sleep 2;
echo -e "write (1,5) -1335\r"; sleep 2;
echo -e "write (1,6) -1225\r"; sleep 2;
echo -e "write (1,9) -1518\r"; sleep 2;
echo -e "write (1,10) -1439\r"; sleep 2;
echo -e "write (1,11) -1554\r"; sleep 2;
echo -e "write (1,12) -1592\r"; sleep 2;
echo -e "write (1,13) -1418\r"; sleep 2;
echo -e "write (1,14) -1581\r"; sleep 2;
echo -e "write (2,0) -1572\r"; sleep 2;
echo -e "write (2,1) -1568\r"; sleep 2;
echo -e "write (2,2) -1600\r"; sleep 2;
echo -e "write (2,3) -1620\r"; sleep 2;
echo -e "write (2,4) -1282\r"; sleep 2;
echo -e "write (2,5) -1560\r"; sleep 2;
echo -e "write (2,6) -1365\r"; sleep 2;
echo -e "write (2,9) -1225\r"; sleep 2;
echo -e "write (2,10) -1461\r"; sleep 2;
echo -e "write (2,11) -1250\r"; sleep 2;
echo -e "write (2,12) -1459\r"; sleep 2;
echo -e "write (2,13) -1551\r"; sleep 2;
echo -e "write (2,14) -1333\r"; sleep 2;
echo -e "write (3,0) -1395\r"; sleep 2;
echo -e "write (3,1) -1568\r"; sleep 2;
echo -e "write (3,2) -1428\r"; sleep 2;
echo -e "write (3,3) -1535\r"; sleep 2;
echo -e "write (3,4) -1481\r"; sleep 2;
echo -e "write (3,5) -1370\r"; sleep 2;
echo -e "write (3,6) -1633\r"; sleep 2;
echo -e "write (3,9) -1489\r"; sleep 2;
echo -e "write (3,10) -1472\r"; sleep 2;
echo -e "write (3,11) -1493\r"; sleep 2;
echo -e "write (3,12) -1521\r"; sleep 2;
echo -e "write (3,13) -1377\r"; sleep 2;
echo -e "write (3,14) -1494\r"; sleep 2;
echo -e "write (4,0) -1425\r"; sleep 2;
echo -e "write (4,1) -1511\r"; sleep 2;
echo -e "write (4,2) -1657\r"; sleep 2;
echo -e "write (4,3) -1600\r"; sleep 2;
echo -e "write (4,4) -1390\r"; sleep 2;
echo -e "write (4,5) -1428\r"; sleep 2;
echo -e "write (4,6) -1444\r"; sleep 2;
echo -e "write (4,9) -1421\r"; sleep 2;
echo -e "write (4,10) -1466\r"; sleep 2;
echo -e "write (4,11) -1537\r"; sleep 2;
echo -e "write (4,12) -1622\r"; sleep 2;
echo -e "write (4,13) -1484\r"; sleep 2;
echo -e "write (4,14) -1580\r"; sleep 2;
echo -e "write (5,0) -1543\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1587\r"; sleep 2;
echo -e "write (5,3) -1338\r"; sleep 2;
echo -e "write (5,4) -1589\r"; sleep 2;
echo -e "write (5,5) -1634\r"; sleep 2;
echo -e "write (5,6) -1272\r"; sleep 2;
echo -e "write (5,9) -1639\r"; sleep 2;
echo -e "write (5,10) -1600\r"; sleep 2;
echo -e "write (5,11) -1687\r"; sleep 2;
echo -e "write (5,12) -1206\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1550\r"; sleep 2;
echo -e "write (6,0) -1600\r"; sleep 2;
echo -e "write (6,1) -1316\r"; sleep 2;
echo -e "write (6,2) -1136\r"; sleep 2;
echo -e "write (6,3) -1600\r"; sleep 2;
echo -e "write (6,4) -1254\r"; sleep 2;
echo -e "write (6,5) -1329\r"; sleep 2;
echo -e "write (6,6) -1194\r"; sleep 2;
echo -e "write (6,9) -1481\r"; sleep 2;
echo -e "write (6,10) -1244\r"; sleep 2;
echo -e "write (6,11) -1446\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1406\r"; sleep 2;
echo -e "write (6,14) -1332\r"; sleep 2;
echo -e "write (8,0) -1387\r"; sleep 2;
echo -e "write (8,1) -1369\r"; sleep 2;
echo -e "write (8,2) -1278\r"; sleep 2;
echo -e "write (8,3) -1234\r"; sleep 2;
echo -e "write (8,4) -1361\r"; sleep 2;
echo -e "write (8,5) -1600\r"; sleep 2;
echo -e "write (8,6) -1357\r"; sleep 2;
echo -e "write (8,9) -1251\r"; sleep 2;
echo -e "write (8,10) -1454\r"; sleep 2;
echo -e "write (8,11) -1483\r"; sleep 2;
echo -e "write (8,12) -1356\r"; sleep 2;
echo -e "write (8,13) -1563\r"; sleep 2;
echo -e "write (8,14) -1352\r"; sleep 2;
echo -e "write (9,0) -1624\r"; sleep 2;
echo -e "write (9,1) -1490\r"; sleep 2;
echo -e "write (9,2) -1573\r"; sleep 2;
echo -e "write (9,3) -1452\r"; sleep 2;
echo -e "write (9,4) -1464\r"; sleep 2;
echo -e "write (9,5) -1373\r"; sleep 2;
echo -e "write (9,6) -1406\r"; sleep 2;
echo -e "write (9,9) -1548\r"; sleep 2;
echo -e "write (9,10) -1539\r"; sleep 2;
echo -e "write (9,11) -1506\r"; sleep 2;
echo -e "write (9,12) -1600\r"; sleep 2;
echo -e "write (9,13) -1474\r"; sleep 2;
echo -e "write (9,14) -1438\r"; sleep 2;
echo -e "write (10,0) -1527\r"; sleep 2;
echo -e "write (10,1) -1353\r"; sleep 2;
echo -e "write (10,2) -1448\r"; sleep 2;
echo -e "write (10,3) -1659\r"; sleep 2;
echo -e "write (10,4) -1563\r"; sleep 2;
echo -e "write (10,5) -1252\r"; sleep 2;
echo -e "write (10,6) -1386\r"; sleep 2;
echo -e "write (10,9) -1595\r"; sleep 2;
echo -e "write (10,10) -1469\r"; sleep 2;
echo -e "write (10,11) -1367\r"; sleep 2;
echo -e "write (10,12) -1457\r"; sleep 2;
echo -e "write (10,13) -1435\r"; sleep 2;
echo -e "write (10,14) -1446\r"; sleep 2;
echo -e "write (11,0) -1616\r"; sleep 2;
echo -e "write (11,1) -1600\r"; sleep 2;
echo -e "write (11,2) -1311\r"; sleep 2;
echo -e "write (11,3) -1529\r"; sleep 2;
echo -e "write (11,4) -1458\r"; sleep 2;
echo -e "write (11,5) -1555\r"; sleep 2;
echo -e "write (11,6) -1600\r"; sleep 2;
echo -e "write (11,9) -1600\r"; sleep 2;
echo -e "write (11,10) -1436\r"; sleep 2;
echo -e "write (11,11) -1445\r"; sleep 2;
echo -e "write (11,12) -1322\r"; sleep 2;
echo -e "write (11,13) -1258\r"; sleep 2;
echo -e "write (11,14) -1608\r"; sleep 2;
echo -e "write (12,0) -1586\r"; sleep 2;
echo -e "write (12,1) -1399\r"; sleep 2;
echo -e "write (12,2) -1386\r"; sleep 2;
echo -e "write (12,3) -1650\r"; sleep 2;
echo -e "write (12,5) -1600\r"; sleep 2;
echo -e "write (12,6) -1293\r"; sleep 2;
echo -e "write (12,7) -1442\r"; sleep 2;
echo -e "write (12,9) -1600\r"; sleep 2;
echo -e "write (12,10) -1600\r"; sleep 2;
echo -e "write (12,11) -1425\r"; sleep 2;
echo -e "write (12,12) -1353\r"; sleep 2;
echo -e "write (12,13) -1440\r"; sleep 2;
echo -e "write (12,14) -1609\r"; sleep 2;
echo -e "write (13,0) -1555\r"; sleep 2;
echo -e "write (13,1) -1477\r"; sleep 2;
echo -e "write (13,2) -1443\r"; sleep 2;
echo -e "write (13,3) -1256\r"; sleep 2;
echo -e "write (13,4) -1414\r"; sleep 2;
echo -e "write (13,5) -1318\r"; sleep 2;
echo -e "write (13,6) -1491\r"; sleep 2;
echo -e "write (13,9) -1681\r"; sleep 2;
echo -e "write (13,10) -1498\r"; sleep 2;
echo -e "write (13,11) -1351\r"; sleep 2;
echo -e "write (13,12) -1445\r"; sleep 2;
echo -e "write (13,13) -1217\r"; sleep 2;
echo -e "write (13,14) -1600\r"; sleep 2;
echo -e "write (14,0) -1600\r"; sleep 2;
echo -e "write (14,1) -1469\r"; sleep 2;
echo -e "write (14,2) -1555\r"; sleep 2;
echo -e "write (14,3) -1580\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1468\r"; sleep 2;
echo -e "write (14,6) -1558\r"; sleep 2;
echo -e "write (14,9) -1460\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1622\r"; sleep 2;
echo -e "write (14,12) -1375\r"; sleep 2;
echo -e "write (14,13) -1403\r"; sleep 2;
echo -e "write (14,14) -1600\r"; sleep 2;
echo -e "write (15,0) -1435\r"; sleep 2;
echo -e "write (15,1) -1600\r"; sleep 2;
echo -e "write (15,2) -1373\r"; sleep 2;
echo -e "write (15,3) -1497\r"; sleep 2;
echo -e "write (15,4) -1388\r"; sleep 2;
echo -e "write (15,5) -1406\r"; sleep 2;
echo -e "write (15,6) -1380\r"; sleep 2;
echo -e "write (15,7) -1477\r"; sleep 2;
echo -e "write (15,8) -1422\r"; sleep 2;
echo -e "write (15,9) -1354\r"; sleep 2;
echo -e "write (15,10) -1322\r"; sleep 2;
echo -e "write (15,11) -1398\r"; sleep 2;
echo -e "write (15,12) -1336\r"; sleep 2;
echo -e "write (15,13) -1515\r"; sleep 2;
echo -e "write (15,14) -1286\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7005 > ../log/fms_hvon_7005_$t.tex
echo Set new HV
cat ../log/fms_hvon_7005_$t.tex
